请选择 进入手机版 | 继续访问电脑版
 找回密码
 立即注册

QQ登录

只需一步,快速开始

毕竟我是神经病

注册会员

21

主题

69

帖子

186

积分

注册会员

积分
186

活字格认证

毕竟我是神经病
注册会员   /  发表于:2015-12-4 15:15  /   查看:3969  /  回复:2
leadtools OCR识别 是不是需要 .net 4.0环境?没装4.0 启动OCR引擎失败?可以降成2.0?

2 个回复

倒序浏览
毕竟我是神经病
注册会员   /  发表于:2015-12-4 15:28:00
沙发
部署时候目标机器没有.net4.0环境?就提示OCR引擎启动失败。
回复 使用道具 举报
AvoCaDolol活字格认证 Wyn认证
社区贡献组   /  发表于:2015-12-4 16:14:00
板凳
回复 2楼毕竟我是神经病的帖子

您好,应该没有问题,只要目标机器有.NET Framework 2.0以上环境都是可以的。
但这取决于您使用了哪一个版本的Framework来开发,LEADTOOLS产品有两套DLL,一套是.NET Framework 2.0的,一套是4.0以上的。从产品的版本号可以区分,2.0的版本DLL的版本号是19.0.0.0。4.0版本的DLL的版本号是19.0.4.0。
如果您使用的是4.0版本的DLL开发的,那么目标机器必须要有.NETFramework4.0以上,如果您使用的是2.0版本的DLL开发的,目标机器必须要有2.0以上的Framework即可。
另外,引擎启动失败也有可能是OCR Engine的运行环境没有配置正确。
在引擎启动的方法中可以指定当前OCR引擎的运行环境,这个参数不是必须的,关于OCR运行环境请参考这个帖子:http://gcdn.gcpowertools.com.cn/showtopic-18385.html

以上,谢谢。
回复 使用道具 举报
您需要登录后才可以回帖 登录 | 立即注册
返回顶部